:root{
    --theme-color-dark: #22c;
}
body{
    width: 100%;
    margin: 0;
    background-color: #eee;
}

.hero {
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: relative;
    top: 0;
    background: linear-gradient(90deg, var(--theme-color-dark), #33c);
    min-height: 400px;
}
.explore-button{
    font-size: 28px;
    padding: 8px 16px;
    margin: 24px;
    color: aliceblue;
    border: 2px solid blue;
    border-radius: 5px;
    background-color: #0000;
}
.explore-button:hover{
    background-color: blue;
    transition-duration: .4s;
}

div.icon-div{                    /*after carousel*/
    display: flex;
    margin: 42px;
    background-color: antiquewhite;
    justify-content: space-evenly;
    padding: 0.5rem;
}

.categories-super-container img{
    width: 240px;
}
.testimonial-super-container{
    margin: 42px 24px;
    display: block;
    background-color: white;
}
.container-heading{
    color: #777;
    font-size: 32px;
    font-weight: bold;
    font-style: italic;
    text-indent: 42px;
    margin: 32px 16px;
    display: inline;
    text-decoration: underline;
}
.testimonial-container{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-content: center;
    overflow-x: auto;
}
.testimonial-heading, .testimonial-description{
    float: none;
}
.testimonial-heading{
    display: inline;
    font-size: 24px;
    margin-left: 4px;
    font-style: italic;
}
.testimonial-img{
    float: left;
}


.super-container{
    position: relative;
    display: block;
    margin: 84px 24px;
    padding: 1rem;
    border-radius: 12px;
    background-color: white;
}
.card-container{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}
.card-container-p{
    display: inline-flex;
    transition-duration: .3s;
}
div.p-cont{
    overflow-x: auto;
    
    & img.carousel-slide-arrow{
        position: absolute;right: 0;top: 50%;background-color: #ddd;border-radius: 50%;
        box-shadow: 0 0 5px #777;padding: 12px; width: 2rem;
    }
    img.carousel-slide-arrow:hover{
        background-color: #aaa;
        transition-duration: .3s;
    }
    img.carousel-slide-arrow.left{
        left: 0;
        transform: rotate(180deg);
    }
}
.card{
    width: 300px;
    margin: 24px;
    box-shadow: 0px 0px 3px #666;
    padding: 16px 16px;
}
.card-img-container{
    height: 180px; 
    overflow: hidden;
    img {
        position: relative;
        top: -24px;
    }
}

button{
    background-color: var(--theme-color-dark);
    padding: 8px 16px;
    margin: 16px;
    border: none;
    border-radius: 4px;
    color: white;
}
.block-button{
    display: block;
    margin: 16px auto;
}
.block-button:hover, .block-button:focus{
    background-color: var(--theme-color-dark);
    transition-duration: .3s;
}
.button-whatever:hover{
    box-shadow: 0 0 5px #777;
    transition-duration: .4s;
}


/* new division */
#editorial-board{
    display: flex;
    justify-content: space-around;
    padding: 0.5rem;
}
.editorial-card{
    display: flex;
    justify-content: center;
    overflow: hidden;
}
.editorial-card .zoomable{
    height: 8rem;
}
input#email{ /* newsletter input email */
    border: 2px solid blue;
    border-radius: 5px;
    width: 40%;
}



#modal-screen{
    width: 100vw;
    height: 100vh;
    background-color: #4444;
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    overflow: auto;
    text-align: center;
    z-index: 1;
}
#modal-container{
    background-color: aqua;
    background-image: url("/images/buyart/modal-background.webp");
    background-repeat: no-repeat;
    background-size: cover;
    margin: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 40%;
    min-width: 300px;
    transform: translate(-50%, -50%);
    padding: 1rem;
}
.close-modal{
    border-radius: 1rem / 1rem;
    position: absolute;
    right: 0;
    text-align: center;
    padding: 0.5rem;
    cursor: pointer;
    font-size: 1.5rem;
}
.close-modal:hover, .close-modal:focus {
    background-color: blue;
    transition-duration: .3s;
}

@view-transition {
    navigation: auto
}